import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/core/utils/constant/register_step_data.dart';
import 'package:tanami_app/shared/components/text_widget.dart';

class RegisterStepCount extends StatelessWidget {
  const RegisterStepCount({super.key});

  @override
  Widget build(BuildContext context) {
    return ListView.builder(
      physics: const NeverScrollableScrollPhysics(),
      shrinkWrap: true,
      itemCount: 3,
      itemBuilder: (context, index) {
        return Container(
          margin: const EdgeInsets.symmetric(
            horizontal: 27,
            vertical: 5,
          ),
          child: ListTile(
            isThreeLine: true,
            leading: SvgPicture.asset(stepImage[index]),
            title: TextWidget().text14W700(
              title[index],
              clr: AppColor.textLabelColor,
              txtAlign: TextAlign.start,
            ),
            subtitle: TextWidget().text14W500(
              description[index],
              clr: AppColor.textLabelColor,
              txtAlign: TextAlign.start,
            ),
          ),
        );
      },
    );
  }
}
